curl --request GET \
--url https://api.letsdothis.com/v0/partners \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.letsdothis.com/v0/partners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/v0/partners"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "p_v7k8jsvoj2o",
"name": "National Charity",
"description": "Donec faucibus augue non pretium pellentesque.",
"type": "CHARITY",
"externalIds": {
"national": "natId123",
"enthuse": "enth456"
},
"contacts": [
{
"name": "John Doe",
"emailAddress": "jd@charity.com"
}
],
"defaultMarketing": {
"whyOptIn": "Lorem ipsum dolor",
"contactEmailAddress": "info@charity.com",
"emailMessage": "Nulla sed mi egestas, condimentum orci quis, pulvinar odio",
"emailCtaUrl": "http://charity.com/general/info"
},
"specificMarketings": [
{
"value": {
"whyOptIn": "Lorem ipsum dolor",
"contactEmailAddress": "info@charity.com",
"emailMessage": "Phasellus laoreet, arcu scelerisque fringilla laoreet, eros ante consequat neque, eu vestibulum odio neque a magna.",
"emailCtaUrl": "http://charity.com/event/info"
},
"eventId": "213131"
}
],
"canCreateSubPartners": false,
"createdAt": "2023-10-14T11:30:00.000Z",
"updatedAt": "2024-09-14T11:30:00.000Z"
}
],
"page": {
"totalResults": 506,
"first": "eyJpZCI6IjYzOTljMjAwMTVkNjBhZTNmZjI4ZjI0YyIsInVwZGF0ZWRBdCI6IjIwMjItMTItMTRUMTI6MzA6NTkuMjE3WiJ9",
"last": "eyJpZCI6IjY1NGNkZDIxZDlhMTU3ODdiNzFkMTM0YSIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNzI0WiJ9",
"prev": "",
"next": "eyJpZCI6IjY0NzBkNTkwM2RjOWE5OWJhMTA0Y2ZhYiIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNjE4WiJ9"
}
}List partners
Returns all partners that you have access to.
curl --request GET \
--url https://api.letsdothis.com/v0/partners \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.letsdothis.com/v0/partners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/v0/partners"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "p_v7k8jsvoj2o",
"name": "National Charity",
"description": "Donec faucibus augue non pretium pellentesque.",
"type": "CHARITY",
"externalIds": {
"national": "natId123",
"enthuse": "enth456"
},
"contacts": [
{
"name": "John Doe",
"emailAddress": "jd@charity.com"
}
],
"defaultMarketing": {
"whyOptIn": "Lorem ipsum dolor",
"contactEmailAddress": "info@charity.com",
"emailMessage": "Nulla sed mi egestas, condimentum orci quis, pulvinar odio",
"emailCtaUrl": "http://charity.com/general/info"
},
"specificMarketings": [
{
"value": {
"whyOptIn": "Lorem ipsum dolor",
"contactEmailAddress": "info@charity.com",
"emailMessage": "Phasellus laoreet, arcu scelerisque fringilla laoreet, eros ante consequat neque, eu vestibulum odio neque a magna.",
"emailCtaUrl": "http://charity.com/event/info"
},
"eventId": "213131"
}
],
"canCreateSubPartners": false,
"createdAt": "2023-10-14T11:30:00.000Z",
"updatedAt": "2024-09-14T11:30:00.000Z"
}
],
"page": {
"totalResults": 506,
"first": "eyJpZCI6IjYzOTljMjAwMTVkNjBhZTNmZjI4ZjI0YyIsInVwZGF0ZWRBdCI6IjIwMjItMTItMTRUMTI6MzA6NTkuMjE3WiJ9",
"last": "eyJpZCI6IjY1NGNkZDIxZDlhMTU3ODdiNzFkMTM0YSIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNzI0WiJ9",
"prev": "",
"next": "eyJpZCI6IjY0NzBkNTkwM2RjOWE5OWJhMTA0Y2ZhYiIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNjE4WiJ9"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A search query to filter partners by their name. The query is case insensitive.
"research"
The number of entries to return per page. Range between 1 - 500, defaults to 100
1 <= x <= 500100
Accepts an existing page cursor. For more details see the definition of PageCursor in the response.
Accepts an existing page cursor. For more details see the definition of PageCursor in the response.
Sort by update date. 1 for ascending, -1 for descending.
1, -1, null "1"
Sort by creation date. 1 for ascending, -1 for descending.
1, -1, null "1"
Only return entries created after this date.
"2020-01-01T20:15:00.000Z"
Only return entries created before this date.
"2020-01-01T20:15:00.000Z"
Only return entries updated after this date.
"2020-01-01T20:15:00.000Z"
Only return entries updated before this date.
"2020-01-01T20:15:00.000Z"
Response
Default Response
A list of partners with pagination information.
Show child attributes
Show child attributes
Cursor details for pagination.
- In scenarios with large amounts of data, it's common to return only a subset of data in a single request, known as a "page".
- Most API responses include two objects: a 'data' object with the query results, and a 'PageCursor' object detailing the current page.
- Cursors can be used to navigate to earlier or later pages in the set of results. For instance, passing the 'next' cursor from 'PageCursor' fetches the next set of results.
- Cursors are base64 encoded strings.
Show child attributes
Show child attributes
{
"totalResults": 506,
"first": "eyJpZCI6IjYzOTljMjAwMTVkNjBhZTNmZjI4ZjI0YyIsInVwZGF0ZWRBdCI6IjIwMjItMTItMTRUMTI6MzA6NTkuMjE3WiJ9",
"last": "eyJpZCI6IjY1NGNkZDIxZDlhMTU3ODdiNzFkMTM0YSIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNzI0WiJ9",
"prev": "",
"next": "eyJpZCI6IjY0NzBkNTkwM2RjOWE5OWJhMTA0Y2ZhYiIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNjE4WiJ9"
}
Was this page helpful?

